<?php require_once('Connections/paivaconex.php'); 
include("FusionCharts_Enterprise/Code/PHP/Includes/FusionCharts.php");
session_start();
?>

<script language="javascript" src="FusionCharts_Enterprise/JSClass/FusionCharts.js"></script>

<?php
if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  if (PHP_VERSION < 6) {
    $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;
  }

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? doubleval($theValue) : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}

$sql = '';

if (count($_POST) >=1) {
	if (isset($_POST['mes'])) {
		$quando[] = "month(datafluxo) IN (".implode( " ,",$_POST['mes']).")";
	}
	if (isset($_POST['ano'])) {
		$quando[] = "year(datafluxo) IN (".implode( " ,",$_POST['ano']).")";
	}
	if (isset($_POST['dia'])) {
		$quando[] = "day(datafluxo) IN (".implode( " ,",$_POST['dia']).")";
	}
	if (isset($_POST['cliente'])) {
		$quando[] = "Cliente IN (".implode( " ,",$_POST['cliente']).")";
	}
	if (isset($_POST['pasta'])) {
		$quando[] = "Pasta IN (".implode( " ,",$_POST['pasta']).")";
	}
	if (isset($_POST['status'])) {
		$quando[] = "status IN (".implode( " ,",$_POST['status']).")";
	}
	if (isset($_POST['detalhe'])) {
		$quando[] = "dashboard.Detalhe IN ('".implode( "' ,'",$_POST['detalhe'])."')";
	}
	$sql = "WHERE ".implode( " AND ", $quando);	
}


if (strlen($sql) < 3){
	$sql = "WHERE year(datafluxo) = Year(NOW())";
}


mysql_select_db($database_paivaconex, $paivaconex);
$query_clientes = "Select mfin_clientes.Id as cli_id, Sum(vl_rec+Custas) as vl, Sum(Juros_rec) as juros, NomeFantasia as cli_nome from dashboard Inner Join mfin_clientes ON Cliente = mfin_clientes.Id Left Join mfin_pastas ON Pasta = mfin_pastas.Id ".$sql." Group by mfin_clientes.Id having Sum(vl_rec+Custas+Juros_rec)<>0 order by Sum(vl_rec+Custas) desc";
$clientes = mysql_query($query_clientes, $paivaconex) or die(mysql_error());
$row_clientes = mysql_fetch_assoc($clientes);
$totalRows_clientes = mysql_num_rows($clientes);
?>
<input type="checkbox" name="todos_clientes" id="todos_clientes" />
Selecionar Todos os Clientes
<table width="1100" border="1">
  <tr bgcolor="#CCCCCC">
    <td width="896" height="22" align="center">Cliente</td>
    <td width="188" align="center">Valor</td>
  </tr>
</table>
<div style="overflow:auto; width:1190px; height:350px;">
<table width="1100" border="1">
  
    <?php 
	$juros = 0;
	do { ?>
      <tr>
        <td width="896" height="22" align="left"><input type="checkbox" name="cliente" id="checkbox" value="<?php echo htmlentities($row_clientes['cli_id'], ENT_COMPAT, 'utf-8'); ?>" />
        <?php echo htmlentities($row_clientes['cli_nome'], ENT_COMPAT, 'utf-8'); ?></td>
        <td width="188" align="right"><?php echo number_format($row_clientes['vl'],2,',','.'); ?></td>
      </tr>
      <?php 
	  $juros += $row_clientes['juros'];
	  } while ($row_clientes = mysql_fetch_assoc($clientes)); ?>
    <tr>
    <td width="896" height="22" align="left">Receita Financeira (Bruto)</td>
    <td width="188" align="right"><?php echo number_format($juros,2,',','.'); ?></td>
  </tr>
</table>
</div>
<?php mysql_free_result($clientes); ?>